"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const beginTransaction = async pool => {
  const result = await pool.rdsDataService.beginTransaction({
    resourceArn: pool.dbClusterOrInstanceArn,
    secretArn: pool.awsSecretStoreArn,
    database: 'postgres'
  }).promise();
  const {
    transactionId
  } = result;
  return transactionId;
};

var _default = beginTransaction;
exports.default = _default;
//# sourceMappingURL=begin-transaction.js.map