"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAlreadyExistsError = isAlreadyExistsError;
exports.isNotExistError = isNotExistError;

function isAlreadyExistsError(message) {
  return /Relation.*? already exists$/i.test(message) || /duplicate key value violates unique constraint/i.test(message);
}

function isNotExistError(message) {
  return /Table.*? does not exist$/i.test(message);
}
//# sourceMappingURL=resource-errors.js.map