const unfreeze = async ({
  executeStatement,
  databaseName,
  eventsTableName,
  escapeId
}) => {
  const databaseNameAsId = escapeId(databaseName);
  const freezeTableNameAsId = escapeId(`${eventsTableName}-freeze`);
  await executeStatement(`DROP TABLE ${databaseNameAsId}.${freezeTableNameAsId}`);
};

export default unfreeze;
//# sourceMappingURL=unfreeze.js.map